Update Document
curl --request PUT \
--url https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Document updated successfully.",
"data": {
"id": 1,
"name": "Updated Product Handbook",
"description": "Revised user manual with new features",
"type": "pdf",
"type_label": "PDF",
"status": "active",
"status_label": "Active",
"updated_at": "2025-01-08T15:45:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"error": "Document not found."
}
{
"message": "The name may not be greater than 255 characters.",
"errors": {
"name": [
"The name may not be greater than 255 characters."
]
}
}
Update Document
Update the name or description of a document in a Famulor knowledge base via API. Keep your AI voice agent’s source materials organized and labelled.
PUT
/
api
/
user
/
knowledgebases
/
{knowledgebaseId}
/
documents
/
{documentId}
Update Document
This endpoint updates the metadata of an existing document. You can only update the name and description - the document type and content cannot be changed.
Path Parameters
The unique identifier of the knowledge base
The unique identifier of the document to update
Request Body
The new name for the document (max. 255 characters)
The new description for the document (max. 255 characters)
Response Fields
Success message
The updated document object
Show Data Properties
Show Data Properties
The unique identifier of the document
The name of the document
Description of the document
Document type
Human-readable type label
Processing status
Human-readable status label
ISO 8601 timestamp of last update
To update the content of a document, you must delete the existing document and create a new one with the updated content.
{
"message": "Document updated successfully.",
"data": {
"id": 1,
"name": "Updated Product Handbook",
"description": "Revised user manual with new features",
"type": "pdf",
"type_label": "PDF",
"status": "active",
"status_label": "Active",
"updated_at": "2025-01-08T15:45:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"error": "Document not found."
}
{
"message": "The name may not be greater than 255 characters.",
"errors": {
"name": [
"The name may not be greater than 255 characters."
]
}
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

